# Zéphir

## How to add a new module

Here is the minimalist steps:

* in the directory `/data/eolemodules/<EOLE VERSION ID>/`
* create a new file named `<module name>-<EOLE VERSION>` listing all packages with EOLE XML dictionaries:
  * execute the tool `outils/zephir_dicts.sh` on the freshly installed EOLE server to get the list
  * unarchive the `tar.gz`, the `.paqs` file is our file but need some adaptation:
	* remove the line `eole/zephir-stats`
	* add the line `eole/eole-zephir-module`
* to test before the commit:
  * copy the new file in the directory `/usr/share/zephir/eole_modules/<EOLE VERSION ID>/` of a Zéphir server with configuration
  * copy the directories of the new dictionary packages or the modified ones in the directory `/usr/share/zephir/dictionnaires/<VERSION>/`
* execute `reconfigure`
* verify the default variable modification of the new module in the web interface of Zéphir
  * go in `modules` menu
  * clic on `modifier` of your new module
  * clic on the button `Changer les valeurs par défaut avec l’interface de configuration`
  * a new window with GenConfig must be opened
